package com.displaynone.acss.components.init.models

import com.displaynone.acss.components.acs.models.visit.VisitServiceST
import com.displaynone.acss.components.auth.models.user.UserServiceST
import com.displaynone.acss.components.init.models.repository.InitRepository

class InitServiceST {
    private val initRepository = InitRepository()
    companion object {
        private var instance: InitServiceST? = null

        fun createInstance() {
            if (instance == null) {
                instance = InitServiceST()
            }
        }

        fun getInstance(): InitServiceST {
            return instance ?: throw RuntimeException("null instance")
        }
    }
    suspend fun ping(): Result<Boolean> {
        return initRepository.ping(UserServiceST.getInstance().getTokenPair().accessToken)
    }
}